"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validate = void 0;
const typebox_validator_1 = require("@voiceflow/typebox-validator");
const env_interface_1 = require("./env.interface");
function validate(config) {
    const { valid, errors } = new typebox_validator_1.TypeboxValidator({}).validate(env_interface_1.EnvironmentVariables, config);
    if (!valid)
        throw new Error(JSON.stringify(errors));
    return config;
}
exports.validate = validate;
