import { Static } from '@sinclair/typebox';
export declare const DialogflowESRequest: import("@sinclair/typebox").TObject<{
    session: import("@sinclair/typebox").TString;
    responseId: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    queryResult: import("@sinclair/typebox").TObject<{
        queryText: import("@sinclair/typebox").TString;
        intentDetectionConfidence: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TAny, import("@sinclair/typebox").TNull]>>;
        intent: import("@sinclair/typebox").TObject<{
            name: import("@sinclair/typebox").TString;
            displayName: import("@sinclair/typebox").TString;
            action: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        }>;
        parameters: import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>;
    }>;
    originalDetectIntentRequest: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TObject<{
        source: import("@sinclair/typebox").TString;
        version: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        payload: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>>;
    }>>;
}>;
export declare type DialogflowESRequest = Static<typeof DialogflowESRequest>;
//# sourceMappingURL=DialogflowESRequest.dto.d.ts.map