import { Static } from '@sinclair/typebox';
export declare const DialogflowESResponse: import("@sinclair/typebox").TObject<{
    fulfillmentText: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    fulfillmentMessages: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TObject<{
        text: import("@sinclair/typebox").TObject<{
            text: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>;
        }>;
    }>, import("@sinclair/typebox").TObject<{
        image: import("@sinclair/typebox").TObject<{
            imageUri: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            accessibilityText: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
        }>;
    }>, import("@sinclair/typebox").TObject<{
        quickReplies: import("@sinclair/typebox").TObject<{
            title: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            quickReplies: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>>;
        }>;
    }>, import("@sinclair/typebox").TObject<{
        card: import("@sinclair/typebox").TObject<{
            title: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            subtitle: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            imageUri: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            buttons: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{
                text: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
                postback: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            }>>>;
        }>;
    }>, import("@sinclair/typebox").TObject<{
        payload: import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>;
    }>, import("@sinclair/typebox").TObject<{
        simpleResponses: import("@sinclair/typebox").TObject<{
            simpleResponses: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TObject<{
                textToSpeech: import("@sinclair/typebox").TString;
                displayText: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            }>, import("@sinclair/typebox").TObject<{
                ssml: import("@sinclair/typebox").TString;
                displayText: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            }>]>>;
        }>;
    }>, import("@sinclair/typebox").TObject<{
        basicCard: import("@sinclair/typebox").TObject<{
            title: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            subtitle: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            formattedText: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            image: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TObject<{
                imageUri: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
                accessibilityText: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            }>>;
            buttons: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{
                text: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
                postback: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
            }>>>;
        }>;
    }>, import("@sinclair/typebox").TObject<{
        suggestions: import("@sinclair/typebox").TObject<{
            suggestions: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{
                title: import("@sinclair/typebox").TString;
            }>>;
        }>;
    }>, import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>]>>;
    endInteraction: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
    source: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    payload: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TNull, import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>]>>;
    outputContexts: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{
        name: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TNull, import("@sinclair/typebox").TString]>>;
        lifespanCount: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TAny>;
        parameters: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TNull, import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>]>>;
    }>>>;
    followupEventInput: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TNull, import("@sinclair/typebox").TObject<{
        name: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TNull, import("@sinclair/typebox").TString]>>;
        parameters: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TNull, import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>]>>;
        languageCode: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TNull, import("@sinclair/typebox").TString]>>;
    }>]>>;
    sessionEntityTypes: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TNull, import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{
        name: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TNull, import("@sinclair/typebox").TString]>>;
        entityOverrideMode: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TNull, import("@sinclair/typebox").TEnum<import("@sinclair/typebox").TEnumKey<any>[]>]>>;
        entities: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TNull, import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{
            value: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TNull, import("@sinclair/typebox").TString]>>;
            synonyms: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TUnion<[import("@sinclair/typebox").TNull, import("@sinclair/typebox").TArray<import("@sinclair/typebox").TString>]>>;
        }>>]>>;
    }>>]>>;
}>;
export declare type DialogflowESResponse = Static<typeof DialogflowESResponse>;
//# sourceMappingURL=DialogflowESResponse.dto.d.ts.map