"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SDKModule = void 0;
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const runtime_sdk_nestjs_1 = require("@voiceflow/runtime-sdk-nestjs");
const env_module_1 = require("../../env/env.module");
const env_service_1 = require("../../env/env.service");
const sdk_service_1 = require("./sdk.service");
let SDKModule = class SDKModule {
    static forRoot() {
        return {
            global: true,
            imports: [
                env_module_1.EnvModule,
                runtime_sdk_nestjs_1.VoiceflowRuntimeModule.forRootAsync({
                    providers: [env_service_1.EnvService, config_1.ConfigService],
                    useClass: sdk_service_1.SDKService,
                }),
            ],
            module: runtime_sdk_nestjs_1.VoiceflowRuntimeModule,
            providers: [runtime_sdk_nestjs_1.VoiceflowRuntime],
            exports: [runtime_sdk_nestjs_1.VoiceflowRuntime],
        };
    }
};
SDKModule = __decorate([
    (0, common_1.Module)({})
], SDKModule);
exports.SDKModule = SDKModule;
