import { Module } from '@nestjs/common';
import { TypeboxModule } from '@voiceflow/typebox-validator-nestjs';

import { DocsModule } from './docs/docs.module';
import { EnvModule } from './env/env.module';
import { InteractModule } from './interact/interact.module';

@Module({
  imports: [EnvModule, DocsModule, InteractModule, TypeboxModule.forRoot()],
})
export class AppModule {}
