import { Module } from '@nestjs/common';

import { InteractController } from './interact.controller';
import { InteractService } from './interact.service';
import { SDKModule } from './sdk/sdk.module';
import { InteractRequestTransformer } from './transformers/request.transformer';

@Module({
  imports: [SDKModule.forRoot()],
  controllers: [InteractController],
  providers: [InteractService, InteractRequestTransformer],
})
export class InteractModule {}
