import { ChoiceTraceComponent } from '@voiceflow/runtime-sdk';

import { DialogflowESContext } from '@/interact/context.class';

export const choiceTrace = ChoiceTraceComponent<DialogflowESContext>(({ context }, trace) => {
  const choices: string[] = trace.payload.buttons.map((button) => button.name);

  context.fulfillmentMessages.push({
    quickReplies: {
      title: 'Suggestions',
      quickReplies: choices,
    },
  });
  return context;
});
