"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppModule = void 0;
const common_1 = require("@nestjs/common");
const typebox_validator_nestjs_1 = require("@voiceflow/typebox-validator-nestjs");
const docs_module_1 = require("./docs/docs.module");
const env_module_1 = require("./env/env.module");
const interact_module_1 = require("./interact/interact.module");
let AppModule = class AppModule {
};
AppModule = __decorate([
    (0, common_1.Module)({
        imports: [env_module_1.EnvModule, docs_module_1.DocsModule, interact_module_1.InteractModule, typebox_validator_nestjs_1.TypeboxModule.forRoot()],
    })
], AppModule);
exports.AppModule = AppModule;
