"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DocsService = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const docs_document_1 = require("./docs.document");
let DocsService = class DocsService {
    setup(app) {
        const document = swagger_1.SwaggerModule.createDocument(app, (0, docs_document_1.OpenAPIDocument)());
        app.getHttpAdapter().get('/schema.json', (_req, res) => res.json(document));
    }
};
DocsService = __decorate([
    (0, common_1.Injectable)()
], DocsService);
exports.DocsService = DocsService;
