"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnvModule = void 0;
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const path_1 = __importDefault(require("path"));
const env_service_1 = require("./env.service");
const env_validation_1 = require("./env.validation");
const envFilePath = [];
if (process.env.NODE_ENV) {
    envFilePath.push(path_1.default.join(__dirname, '..', '..', `.env.${process.env.NODE_ENV}`));
}
envFilePath.push(path_1.default.join(__dirname, '..', '..', '.env'));
let EnvModule = class EnvModule {
};
EnvModule = __decorate([
    (0, common_1.Module)({
        imports: [
            config_1.ConfigModule.forRoot({
                envFilePath,
                validate: env_validation_1.validate,
            }),
        ],
        providers: [env_service_1.EnvService],
        exports: [env_service_1.EnvService],
    })
], EnvModule);
exports.EnvModule = EnvModule;
