"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogflowESRequest = void 0;
const typebox_1 = require("@sinclair/typebox");
exports.DialogflowESRequest = typebox_1.Type.Object({
    session: typebox_1.Type.String(),
    responseId: typebox_1.Type.Optional(typebox_1.Type.String()),
    queryResult: typebox_1.Type.Object({
        queryText: typebox_1.Type.String(),
        intentDetectionConfidence: typebox_1.Type.Optional(typebox_1.Type.Union([typebox_1.Type.Any(), typebox_1.Type.Null()])),
        intent: typebox_1.Type.Object({
            name: typebox_1.Type.String(),
            displayName: typebox_1.Type.String(),
            action: typebox_1.Type.Optional(typebox_1.Type.String()),
        }),
        parameters: typebox_1.Type.Record(typebox_1.Type.String(), typebox_1.Type.Any()),
    }),
    originalDetectIntentRequest: typebox_1.Type.Optional(typebox_1.Type.Object({
        source: typebox_1.Type.String(),
        version: typebox_1.Type.Optional(typebox_1.Type.String()),
        payload: typebox_1.Type.Optional(typebox_1.Type.Record(typebox_1.Type.String(), typebox_1.Type.Any())),
    })),
});
