"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.choiceTrace = void 0;
const runtime_sdk_1 = require("@voiceflow/runtime-sdk");
exports.choiceTrace = (0, runtime_sdk_1.ChoiceTraceComponent)(({ context }, trace) => {
    const choices = trace.payload.buttons.map((button) => button.name);
    context.fulfillmentMessages.push({
        quickReplies: {
            title: 'Suggestions',
            quickReplies: choices,
        },
    });
    return context;
});
