import { TraceDeclaration } from '@voiceflow/runtime-sdk';

import { DialogflowESContext } from '@/interact/context.class';

import { cardTrace } from './card';
import { choiceTrace } from './choice';
import { endTrace } from './end';
import { payloadTrace } from './payload';
import { speakTrace } from './speak';
import { textTrace } from './text';
import { visualTrace } from './visual';

export const traces: TraceDeclaration<DialogflowESContext, any>[] = [
  cardTrace,
  choiceTrace,
  endTrace,
  payloadTrace,
  speakTrace,
  textTrace,
  visualTrace,
];
