import { SpeakTraceComponent } from '@voiceflow/runtime-sdk';

import { DialogflowESContext } from '@/interact/context.class';

export const speakTrace = SpeakTraceComponent<DialogflowESContext>(({ context }, trace) => {
  // TODO(trs): better SSML support? On Runtime side?
  context.fulfillmentMessages.push({
    text: {
      text: [`<speak>${trace.payload.message}</speak>`],
    },
  });
  return context;
});
