import { VisualTraceComponent } from '@voiceflow/runtime-sdk';

import { DialogflowESContext } from '@/interact/context.class';

export const visualTrace = VisualTraceComponent<DialogflowESContext>(({ context }, trace) => {
  context.fulfillmentMessages.push({
    image: {
      imageUri: trace.payload.image,
      accessibilityText: 'image',
    },
  });
  return context;
});
